----------------------------------------------------------------------
-- A very simple test case for the shared memory parallel option.
-- --------------------------------------------------------------
--  1. regular grid, 4800 cells
--  2. works OK up to say * processors. See NDMAIN in RUNSPEC
--  3. No NNC or Inactive cells.
--  4. Check .DBG file for Colsum
--     Columns 5 to 8 should be zero to rounding error (<1e-12 say)
--     for all but the first linear iteration.
--  5. Should run 3 to 3.5 times faster on 8 processors than
--     on one (with NDMAIN=1).
----------------------------------------------------------------------
RUNSPEC
TITLE
PARALLEL BENCHMARK BASED ON ODEH - 4800 CELLS

DIMENS
   40   40    3  /

NONNC

OIL

WATER

GAS

DISGAS

FIELD

EQLDIMS
    1  100   10    1    1 /

TABDIMS
    1    1   16   12    1   12 /

WELLDIMS
    8    8    8    8 /

LGR
       0           0           0    0    0   10  'NOINTERP' /

NUPCOL
    4 /

SMRYDIMS
  3000 /

START
  19 'OCT' 1982  /

NSTACK
   24 /  

UNIFIN

UNIFOUT   

GRID    ================================================================
NOECHO
--NOGGF

INIT

GRIDFILE
  0 2 /

--     ARRAY  VALUE     ------- BOX ------
EQUALS
      'DX'    200      /
      'DY'    200      /
      'PORO'  0.3       /
      'DZ'    30        1  40  1  40  1  1  /
      'PERMX' 500       /
      'MULTZ' 0.64      /
      'TOPS'  8325      /
      'DZ'    30        1  40  1  40  2  2  /
      'PERMX' 50        /
      'MULTZ' 0.265625  /
      'DZ'    20        1  40  1  40  3  3  /
      'PERMX' 200       /
/       EQUALS IS TERMINATED BY A NULL RECORD


--    SOURCE  DESTINATION  ------- BOX ------
COPY
      'PERMX'    'PERMY'   1  40  1  40  1  3  /
      'PERMX'    'PERMZ'   /
/
-- OUTPUT OF DOMAINS
RPTGRID
 -- Report Levels for Grid Section Data
 -- 
 'DOMAINS' 
 / 

PROPS    ===============================================================
-------- THE PROPS SECTION DEFINES THE REL. PERMEABILITIES, CAPILLARY
-------- PRESSURES, AND THE PVT PROPERTIES OF THE RESERVOIR FLUIDS
----------------------------------------------------------------------
-- WATER RELATIVE PERMEABILITY AND CAPILLARY PRESSURE ARE TABULATED AS
-- A FUNCTION OF WATER SATURATION.
--
--  SWAT   KRW   PCOW
SWFN
    0.12  0       0
    1.0   1.0     0  /
-- SIMILARLY FOR GAS
--
--  SGAS   KRG   PCOG
SGFN
    0     0       0
    0.02  0       0
    0.05  0.005   0
    0.12  0.025   0
    0.2   0.075   0
    0.25  0.125   0
    0.3   0.19    0
    0.4   0.41    0
    0.45  0.6     0
    0.5   0.72    0
    0.6   0.87    0
    0.7   0.94    0
    0.85  0.98    0
    0.88   1.0     0
/
-- OIL RELATIVE PERMEABILITY IS TABULATED AGAINST OIL SATURATION
-- FOR OIL-WATER AND OIL-GAS-CONNATE WATER CASES
--
--  SOIL     KROW     KROG
SOF3
    0        0        0
    0.18     0        0
    0.28     0.0001   0.0001
    0.38     0.001    0.001
    0.43     0.01     0.01
    0.48     0.021    0.021
    0.58     0.09     0.09
    0.63     0.2      0.2
    0.68     0.35     0.35
    0.76     0.7      0.7
    0.83     0.98     0.98
    0.86     0.997    0.997
    0.879    1        1
    0.88     1        1    /
-- PVT PROPERTIES OF WATER
--
--    REF. PRES. REF. FVF  COMPRESSIBILITY  REF VISCOSITY  VISCOSIBILITY
PVTW
       4014.7     1.029        3.13D-6           0.31            0 /
-- ROCK COMPRESSIBILITY
--
--    REF. PRES   COMPRESSIBILITY
ROCK
        14.7          3.0D-6          /
-- SURFACE DENSITIES OF RESERVOIR FLUIDS
--
--        OIL   WATER   GAS
DENSITY
         49.1   64.79  0.06054  /
-- PVT PROPERTIES OF DRY GAS (NO VAPOURISED OIL)
-- WE WOULD USE PVTG TO SPECIFY THE PROPERTIES OF WET GAS
--
--   PGAS   BGAS   VISGAS

DEBUG
 20*  1 /
 
PVDG
     14.7 166.666   0.008
    264.7  12.093   0.0096
    514.7   6.274   0.0112
   1014.7   3.197   0.014
   2014.7   1.614   0.0189
   2514.7   1.294   0.0208
   3014.7   1.080   0.0228
   4014.7   0.811   0.0268
   5014.7   0.649   0.0309
   9014.7   0.386   0.047   /
-- PVT PROPERTIES OF LIVE OIL (WITH DISSOLVED GAS)
-- WE WOULD USE PVDO TO SPECIFY THE PROPERTIES OF DEAD OIL
--
-- FOR EACH VALUE OF RS THE SATURATION PRESSURE, FVF AND VISCOSITY
-- ARE SPECIFIED. FOR RS=1.27 AND 1.618, THE FVF AND VISCOSITY OF
-- UNDERSATURATED OIL ARE DEFINED AS A FUNCTION OF PRESSURE. DATA
-- FOR UNDERSATURATED OIL MAY BE SUPPLIED FOR ANY RS, BUT MUST BE
-- SUPPLIED FOR THE HIGHEST RS (1.618).
--
--   RS      POIL  FVFO  VISO
PVTO
-- 
         0.001      14.7     1.062      1.04
                  9014.7     1.028       1.3 /
        0.0905     264.7      1.15     0.975 /
          0.18     514.7     1.207      0.91 /
         0.371    1014.7     1.295      0.83 /
         0.636    2014.7     1.435     0.695 /
         0.775    2514.7       1.5     0.641 /
          0.93    3014.7     1.565     0.594 /
         1.269    4014.7     1.695      0.51
                  5014.7     1.671     0.549
                  9014.7     1.579      0.74 /
         1.618    5014.7     1.775     0.449
                  9014.7     1.726     0.605 /
/
-- OUTPUT CONTROLS FOR PROPS DATA
-- ACTIVATED FOR SOF3, SWFN, SGFN, PVTW, PVDG, DENSITY AND ROCK KEYWORDS
RPTPROPS
/
SOLUTION ===============================================================
-------- THE SOLUTION SECTION DEFINES THE INITIAL STATE OF THE SOLUTION
-------- VARIABLES (PHASE PRESSURES, SATURATIONS AND GAS-OIL RATIOS)
------------------------------------------------------------------------
-- DATA FOR INITIALISING FLUIDS TO POTENTIAL EQUILIBRIUM
--
--    DATUM  DATUM   OWC    OWC    GOC    GOC    RSVD   RVVD   SOLN
--    DEPTH  PRESS  DEPTH   PCOW  DEPTH   PCOG  TABLE  TABLE   METH
EQUIL
       8400   4800   8460    0     8200    0      1      0       0  /
-- VARIATION OF INITIAL RS WITH DEPTH
--
--    DEPTH    RS
RSVD
       8200  1.270
       8500  1.270  /
-- OUTPUT CONTROLS (SWITCH ON OUTPUT OF INITIAL GRID BLOCK PRESSURES)
RPTRST
 'BASIC=2' /
 
SUMMARY

PERFORM
TCPU
FWCT
FLPR
FOPR
FGPR
FGOR
FOPT
FPR

WBHP
/
RPTONLY

SCHEDULE ===============================================================
-------- THE SCHEDULE SECTION DEFINES THE OPERATIONS TO BE SIMULATED
------------------------------------------------------------------------

